'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var LargeCardClose = function LargeCardClose(props) {
  var children = props.children,
      className = props.className,
      rest = _objectWithoutProperties(props, ['children', 'className']);

  return _react2.default.createElement(
    'span',
    _extends({ className: (0, _classnames2.default)('close__fullview', className) }, rest),
    _react2.default.createElement(_semanticUiReact.Icon, { className: 'ei icon_close', 'aria-hidden': 'true' }),
    children
  );
};

LargeCardClose.defaultProps = {};

LargeCardClose.propTypes = {};

exports.default = LargeCardClose;
//# sourceMappingURL=LargeCardClose.js.map