'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var LargeCardContent = function LargeCardContent(props) {
  var children = props.children,
      rest = _objectWithoutProperties(props, ['children']);

  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({
      flexDirection: 'row',
      flexGrow: 3,
      paddingTop: '10px',
      paddingBottom: '10px',
      paddingLeft: '15px',
      paddingRight: '15px'
    }, rest),
    children
  );
};

LargeCardContent.defaultProps = {};

LargeCardContent.propTypes = {};

exports.default = LargeCardContent;
//# sourceMappingURL=LargeCardContent.js.map