'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var ThinCardActionButton = function ThinCardActionButton(props) {
  var innerProps = props.innerProps,
      children = props.children,
      rest = _objectWithoutProperties(props, ['innerProps', 'children']);

  var innerClassName = innerProps.innerClassName,
      innerRest = _objectWithoutProperties(innerProps, ['innerClassName']);

  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({ alignItems: 'center', flexGrow: 3 }, rest),
    _react2.default.createElement(
      'div',
      _extends({
        className: (0, _classnames2.default)('thincard__action_button', innerClassName)
      }, innerRest),
      children
    )
  );
};

ThinCardActionButton.defaultProps = {
  style: {},
  innerProps: {}
};

ThinCardActionButton.propTypes = {
  style: _propTypes2.default.object,
  innerProps: _propTypes2.default.object
};

exports.default = ThinCardActionButton;
//# sourceMappingURL=ThinCardActionButton.js.map