'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var LargeCardAction = function LargeCardAction(props) {
  var className = props.className,
      label = props.label,
      children = props.children,
      rest = _objectWithoutProperties(props, ['className', 'label', 'children']);

  return _react2.default.createElement(
    _semanticUiReact.Button,
    _extends({
      className: (0, _classnames2.default)('tripwire', 'fullview__goto__button', className)
    }, rest),
    label,
    children
  );
};

LargeCardAction.defaultProps = {};

LargeCardAction.propTypes = {};

exports.default = LargeCardAction;
//# sourceMappingURL=LargeCardAction.js.map