'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var LargeCardTitle = function LargeCardTitle(props) {
  var title = props.title,
      description = props.description,
      rest = _objectWithoutProperties(props, ['title', 'description']);

  return _react2.default.createElement(
    _flexboxReact2.default,
    _extends({ flexGrow: 3, flexDirection: 'column' }, rest),
    _react2.default.createElement(
      'div',
      { title: title, className: 'title' },
      title
    ),
    _react2.default.createElement(
      'div',
      { title: description, className: 'friendly_name' },
      description
    )
  );
};

LargeCardTitle.defaultProps = {
  title: '',
  description: ''
};

LargeCardTitle.propTypes = {
  title: _propTypes2.default.string,
  description: _propTypes2.default.string
};

exports.default = LargeCardTitle;
//# sourceMappingURL=LargeCardTitle.js.map