'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

function MicroCardContent(props) {
  var children = props.children,
      className = props.className,
      _props$primary = props.primary,
      primary = _props$primary === undefined ? false : _props$primary,
      _props$secondary = props.secondary,
      secondary = _props$secondary === undefined ? false : _props$secondary,
      rest = _objectWithoutProperties(props, ['children', 'className', 'primary', 'secondary']);

  return _react2.default.createElement(
    'div',
    _extends({
      className: (0, _classnames2.default)('microcard__content', primary && 'microcard__content--primary', secondary && 'microcard__content--secondary', className)
    }, rest),
    children
  );
}

MicroCardContent.propTypes = {
  primary: _propTypes2.default.bool,
  secondary: _propTypes2.default.bool
};

exports.default = MicroCardContent;
//# sourceMappingURL=MicroCardContent.js.map