'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

require('./side-nav.css');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _SideNavMenuItem = require('./SideNavMenuItem');

var _SideNavMenuItem2 = _interopRequireDefault(_SideNavMenuItem);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var SideNav = function SideNav(props) {
  var className = props.className,
      children = props.children,
      rest = _objectWithoutProperties(props, ['className', 'children']);

  return _react2.default.createElement(
    'nav',
    _extends({ className: (0, _classnames2.default)(className, 'octagon side-nav') }, rest),
    children
  );
};
SideNav.MenuItem = _SideNavMenuItem2.default;
SideNav.propTypes = {
  /** One of: MenuItem, Node */
  children: _propTypes2.default.node
};

SideNav.defaultProps = {};

exports.default = SideNav;
//# sourceMappingURL=SideNav.js.map