'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var TopNavContent = function TopNavContent(props) {
  var link = props.link,
      children = props.children,
      className = props.className,
      rest = _objectWithoutProperties(props, ['link', 'children', 'className']);

  var linkClass = link ? 'nav__item--link' : '';
  return _react2.default.createElement(
    'div',
    _extends({ className: (0, _classnames2.default)('nav__item ' + linkClass, className) }, rest),
    children
  );
};

TopNavContent.propTypes = {
  /**
   * `link` was implicit when `align='right'` since abfb87d4c37d.
   * such a style does not provide much value add--a pre-styled component should
   * instead be inserted
   * @deprecated
   */
  link: _propTypes2.default.bool
};

exports.default = TopNavContent;
//# sourceMappingURL=TopNavContent.js.map