'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ToolTipContent = function ToolTipContent(props) {
  var visibility = props.visibility,
      transformText = props.transformText;

  return _react2.default.createElement(
    'text',
    { is: true, visibility: visibility, transform: transformText },
    _react2.default.createElement(
      'tspan',
      { is: true, x: '0', 'text-anchor': 'middle', 'font-size': '15px', fill: '#ffffff' },
      props.tooltip.data.key
    ),
    _react2.default.createElement(
      'tspan',
      {
        is: true,
        x: '0',
        'text-anchor': 'middle',
        dy: '25',
        'font-size': '20px',
        fill: '#a9f3ff'
      },
      '' + props.tooltip.data.value
    )
  );
};

exports.default = ToolTipContent;
//# sourceMappingURL=TooltipContent.js.map