'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var PopupDemo = function (_Component) {
  _inherits(PopupDemo, _Component);

  function PopupDemo(props) {
    _classCallCheck(this, PopupDemo);

    var _this = _possibleConstructorReturn(this, (PopupDemo.__proto__ || Object.getPrototypeOf(PopupDemo)).call(this, props));

    _this.state = { open: false };
    return _this;
  }

  _createClass(PopupDemo, [{
    key: 'render',
    value: function render() {
      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement(_semanticUiReact.Popup, {
          position: 'right center',
          on: 'click',
          trigger: _react2.default.createElement(
            _semanticUiReact.Button,
            { className: 'popup-example' },
            'Neutral'
          ),
          content: 'Neutral Popup Content',
          className: 'grey'
        }),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(_semanticUiReact.Popup, {
          position: 'right center',
          trigger: _react2.default.createElement(
            _semanticUiReact.Button,
            { className: 'popup-example' },
            'Critical'
          ),
          content: 'Critical Popup Content',
          className: 'red'
        }),
        _react2.default.createElement('br', null),
        _react2.default.createElement('br', null),
        _react2.default.createElement(_semanticUiReact.Popup, {
          position: 'right center',
          trigger: _react2.default.createElement(
            _semanticUiReact.Button,
            { className: 'popup-example' },
            'Warning'
          ),
          content: 'Warning Popup Content',
          className: 'yellow'
        })
      );
    }
  }]);

  return PopupDemo;
}(_react.Component);

exports.default = PopupDemo;
//# sourceMappingURL=PopupDemo.js.map