'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BasicLoginPane = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _LoginPane = require('./LoginPane');

var _LoginPane2 = _interopRequireDefault(_LoginPane);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function Basic(props) {
  return _react2.default.createElement(
    _LoginPane2.default,
    _extends({ className: 'hide-in-test' }, props),
    _react2.default.createElement(
      _LoginPane2.default.Logo,
      null,
      _react2.default.createElement(
        'h1',
        {
          style: {
            padding: '20px',
            background: 'darkslategray',
            color: 'white'
          }
        },
        'LOGO'
      )
    ),
    _react2.default.createElement(
      _LoginPane2.default.Username,
      null,
      _react2.default.createElement(_semanticUiReact.Input, null)
    ),
    _react2.default.createElement(
      _LoginPane2.default.Password,
      null,
      _react2.default.createElement(_semanticUiReact.Input, null)
    ),
    _react2.default.createElement(
      _LoginPane2.default.Submit,
      null,
      _react2.default.createElement(
        _semanticUiReact.Button,
        { primary: true },
        'Login'
      )
    ),
    _react2.default.createElement(
      _LoginPane2.default.Footer,
      null,
      _react2.default.createElement(
        'footer',
        null,
        'FOOTER'
      )
    )
  );
}

var BasicLoginPane = exports.BasicLoginPane = function BasicLoginPane(props) {
  return _react2.default.createElement(Basic, props);
};
//# sourceMappingURL=LoginPaneExamples.js.map